import { Count, Filter, FilterExcludingWhere, Where } from '@loopback/repository';
import { ExclusivePropertyMaster } from '../models';
import { ExclusivePropertyMasterRepository } from '../repositories';
export declare class ExclusivepropertyController {
    exclusivePropertyMasterRepository: ExclusivePropertyMasterRepository;
    constructor(exclusivePropertyMasterRepository: ExclusivePropertyMasterRepository);
    create(exclusivePropertyMaster: Omit<ExclusivePropertyMaster, 'exclusivePropertyId	'>): Promise<ExclusivePropertyMaster>;
    count(where?: Where<ExclusivePropertyMaster>): Promise<Count>;
    find(filter?: Filter<ExclusivePropertyMaster>): Promise<ExclusivePropertyMaster[]>;
    updateAll(exclusivePropertyMaster: ExclusivePropertyMaster, where?: Where<ExclusivePropertyMaster>): Promise<Count>;
    findById(id: number, filter?: FilterExcludingWhere<ExclusivePropertyMaster>): Promise<ExclusivePropertyMaster>;
    updateById(id: number, exclusivePropertyMaster: ExclusivePropertyMaster): Promise<void>;
    replaceById(id: number, exclusivePropertyMaster: ExclusivePropertyMaster): Promise<void>;
    deleteById(id: number): Promise<void>;
}
